import ArgumentParser
import ColibriLibrary

extension Colibri {
    struct Create: AsyncParsableCommand {
        
        // MARK: Properties
        
        static let configuration = CommandConfiguration(
            commandName: "create project",
            abstract: "Create a new, tailored Colibri project.",
            helpNames: .shortAndLong,
            aliases: ["create"]
        )
        
        @OptionGroup var options: Options
        
        // MARK: Functions

        mutating func run() async throws {
            
        }

    }
}

// MARK: - Options

extension Colibri.Create {
    struct Options: ParsableArguments {
     
        // MARK: Properties
        
        @Option(name: .shortAndLong)
        var name: String
        
        @Option(name: .shortAndLong)
        var location: String?

    }
}
